class_name ArtCollector extends Node2D

func _ready() -> void:
	$ArtCollectorAnimations.set_frame(randi_range(0, 16))
	#$ArtCollectorAnimations.animation_finished.connect(_handle_anim_finish)

func normal_paddle():
	$ArtCollectorAnimations.play("NormalPaddle")
	$NormalPaddleSound.play()
	$PaddleSuccess.play()
	await $ArtCollectorAnimations.animation_finished
	$ArtCollectorAnimations.play("Idle")


func critical_paddle():
	$ArtCollectorAnimations.play("CriticalPaddle")
	await $ArtCollectorAnimations.animation_finished
	$ArtCollectorAnimations.play("Idle")

#func _handle_anim_finish
